Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class Add

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.Add

All Implemented Interfaces:
  PostfixMathCommandI, RealBinaryFunction, java.io.Serializable

    public class Add

extends PostfixMathCommand
implements RealBinaryFunction

Addition function. Supports any number of parameters although typically only 2 parameters are used.

Author:
  nathan
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`Add()`

Method Summary
`Complex` | `add(Complex c1, Complex c2)`
`Complex` | `add(Complex c, java.lang.Number d)`
`java.lang.Double` | `add(java.lang.Number d1, java.lang.Number d2)`
`java.lang.Object` | `add(java.lang.Object param1, java.lang.Object param2)` Adds two numbers together.
`java.util.Vector` | `add(java.util.Vector v1, java.util.Vector v2)`
`double` | `evaluate(double l, double r)`
`void` | `run(java.util.Stack<java.lang.Object> stack)` Calculates the result of applying the "+" operator to the arguments from the stack and pushes it back on the stack.

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Add

    public Add()

Method Detail

### run

    public void run(java.util.Stack<java.lang.Object> stack)
             throws EvaluationException

  Calculates the result of applying the "+" operator to the arguments from the stack and pushes it back on the stack.

  Specified by:
    `run` in interface `PostfixMathCommandI`
  Throws:
    `EvaluationException`

### add

    public java.lang.Object add(java.lang.Object param1,
                                java.lang.Object param2)
                         throws EvaluationException

  Adds two numbers together. The parameters can be of type Number, Complex, or String. If a certain combination of types is not supported, a EvaluationException is thrown.

  Parameters:
    `param1` - The first parameter to be added.
    `param2` - The second parameter to be added.
  Returns:
    The sum of param1 and param2, or concatenation of the two if they are Strings.
  Throws:
    `EvaluationException`

### add

    public java.lang.Double add(java.lang.Number d1,
                                java.lang.Number d2)

### add

    public Complex add(Complex c1,
                       Complex c2)

### add

    public java.util.Vector add(java.util.Vector v1,
                                java.util.Vector v2)
                         throws EvaluationException

  Throws:
    `EvaluationException`

### add

    public Complex add(Complex c,
                       java.lang.Number d)

### evaluate

    public double evaluate(double l,
                           double r)

  Specified by:
    `evaluate` in interface `RealBinaryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep